# Fax2 API Python Demo

This package contains Python programs and a module that demonstrates usage of the Fax2 API.

It requires Python version 2.7.6 or later.  It uses `urllib2` for HTTP communication.  It requires not external modules.

To use it, first add your Fax2 username and password to `credentials.py`.

`send-fax.py` sends a sample fax, containing some in-code text and an external document.  The destination fax number is in the code.  Change it to a fax number of your own (your Fax2 number is an option) then run it with `python send-fax.py`.

`receive-faxes.py` will run continuously, polling the service for received faxes, and saving them to the current directory as they arrive.

More info on the Fax2 API can be found at:

<https://www.fax2.com.au/api>
